Subject: Strange game thread

From: Owen Brand <[email-masked]>
Date: Mon, 25 Jan 2010 10:48:42 -0500

I was poking around in Retrogaming Roundtable and there is a guy  
looking for a TI game that he cannot recall the name of.  Strange  
thing---this thread was started 7 YEARS ago!!!!!  I have been a part  
of the roundtable for a year or so.... And this thread was what got me  
started in the forum.  See if this sounds familiar.  My name in RGR is  
"Reef-Hunter"

http://www.digitpress.com/forum/showthread.php?t=983

Owen Brand
**Oprysoft**
Opry99er.com